Subject: Re: African and Walking irises?

From: [email-masked] (Gerald W. Roe)
Date: 7 Apr 1995 06:28:41 GMT

The Walkling Iris The Walking Iris is probably a Neomarica. N. brachypus, N. longi-
folia, and N. northiana all have yellow in the flower. You would
have to describe the bloom more completely to find out which.
The African Iris is probably a Dietes, most likely Dietes iri-
dioides, formerly Moraea iridioides. I would agree that neither
is reliably hardy in zone 7, but sometimes favorable microcli-
mates and careful sheltering can accomplish minor miracles. 
The Neomarica can be overwinterd in a bright spot indoors, and
the Dietes (it could be D. bicolor, too), probably could as well.
-- 
Trans-Pacific Nursery        Rare and Exotic Plants
Email catalog available      Timber Press books discounted